petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAComputeL2Diff

This function computes the L_2 difference between a function u and an FEM interpolant solution u_h.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAComputeL2Diff(DM dm, PetscErrorCode (**funcs)(PetscInt, const PetscReal [], PetscInt, PetscScalar *, void *), void **ctxs, Vec X, PetscReal *diff)

### Input Parameters

| dm | - The DM
| funcs | - The functions to evaluate for each field component
| ctxs | - Optional array of contexts to pass to each coordinate function. ctxs itself may be null.
| X | - The coefficient vector u_h

### Output Parameter

diff -The diff ||u - u_h||_2

### See Also

DMDAProjectFunction(), DMDAComputeL2GradientDiff()

Level:developer
Location:src/dm/impls/da/dalocal.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages